# StateOptions (dapr-sdk-parent 1.10.0 API)

Package io.dapr.client.domain

## Class StateOptions

- java.lang.Object
- - io.dapr.client.domain.StateOptions

    public class StateOptions
    extends Object

A class representing the state options for Dapr state API.

### Nested Class Summary

Nested Classes
`static class` `StateOptions.Concurrency` Options for Concurrency.
`static class` `StateOptions.Consistency` Options for Consistency.
`static class` `StateOptions.StateOptionDurationDeserializer`
`static class` `StateOptions.StateOptionDurationSerializer`

### Constructor Summary

Constructors
`StateOptions​(StateOptions.Consistency consistency, StateOptions.Concurrency concurrency)` Represents options for a Dapr state API call.

### Method Summary

All Methods Instance Methods Concrete Methods
`StateOptions.Concurrency` `getConcurrency()`
`StateOptions.Consistency` `getConsistency()`
`Map<String,​String>` `getStateOptionsAsMap()` Returns state options as a Map of option name to value.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StateOptions

    public StateOptions​(StateOptions.Consistency consistency,
                        StateOptions.Concurrency concurrency)

Represents options for a Dapr state API call.

Parameters:
  `consistency` - The consistency mode.
  `concurrency` - The concurrency mode.

### Method Detail

#### getConcurrency

    public StateOptions.Concurrency getConcurrency()

#### getConsistency

    public StateOptions.Consistency getConsistency()

#### getStateOptionsAsMap

    public Map<String,​String> getStateOptionsAsMap()

Returns state options as a Map of option name to value.

Returns:
  A map of state options.